
QGIS Application - Bug report #7917

Ignore GetMap/GetFeatureInfo options disappeared from Create/Modify WFS connection dialogs

2013-05-27 06:30 PM - Chris Berkhout

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Mac, maybe others Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 16789

Description

The checkbox fields:

- Ignore GetMap URI reported in capabilities

- Ignore GetFeatureInfo URI reported in capabilities

are shown when creating a new connection, but not when editing an existing one.

Screenshot of create: 

https://www.evernote.com/shard/s282/sh/05d1ab7b-9523-48f4-a93e-a1928919ea18/6290c1b880e61e46875f757e207cb94e

Screenshot of modify: 

https://www.evernote.com/shard/s282/sh/8601deb1-8c98-45a3-9c83-98febc5c0f2a/1164eaf199281fc3649c601f779d6328

History

#1 - 2013-05-28 12:24 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Priority changed from Normal to Severe/Regression

- Subject changed from "Create WFS connection" dialog is different from "modify WFS connection" to Ignore GetMap/GetFeatureInfo options 

disappeared from Create/Modify WFS connection dialogs

This is true on QGIS 1.8, in QGIS master those options do not show at all in either dialogs. It seems strange to me that this was done on purpose, but I may

be wrong. If it is a bug then is a blocker. I will ask the developers.

#2 - 2013-05-28 06:54 AM - Chris Berkhout

Yes, I got mixed up with the versions. Sorry, 1.8.0 has the disappearing fields, master has just no ignore options in WFS (and WFS has a lot of options).

It does seem strange though, would be good to get the developers' intention confirmed.

#3 - 2013-06-30 01:43 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

Chris Berkhout wrote:
https://www.evernote.com/shard/s282/sh/05d1ab7b-9523-48f4-a93e-a1928919ea18/6290c1b880e61e46875f757e207cb94e
https://www.evernote.com/shard/s282/sh/8601deb1-8c98-45a3-9c83-98febc5c0f2a/1164eaf199281fc3649c601f779d6328


Yes, I got mixed up with the versions. Sorry, 1.8.0 has the disappearing fields, master has just no ignore options in WFS (and WFS has a lot of

options).

It does seem strange though, would be good to get the developers' intention confirmed.

WFS doesn't have GetMap and GetFeatureInfo, so there's nothing to ignore anyway.
